if exists("b:current_syntax")
    finish
endif

syntax keyword xmkKeyword DECLARE FUNCTION INCLUDE
syntax keyword xmkKeyword if then else while for switch case and
syntax keyword xmkKeyword break until end default return exec do in
syntax keyword xmkKeyword print break fetch exclude def from alloc unalloc using
syntax keyword xmkKeyword pcode start stop
syntax keyword xmkKeyword int vd chr str stat flt db tab const

syntax keyword xmkKeyword xmkver

highlight link xmkKeyword Keyword
highlight link xmkFunction Function

syntax match xmkOperator "\v\="
syntax match xmkOperator "\v\*"
syntax match xmkOperator "\v/"
syntax match xmkOperator "\v\+"
syntax match xmkOperator "\v-"
syntax match xmkOperator "\v\?"
syntax match xmkOperator "\v\*\="
syntax match xmkOperator "\v/\="
syntax match xmkOperator "\v\+\="
syntax match xmkOperator "\v-\="
syntax match xmkOperator "\v\!\="

highlight link xmkOperator Operator

syntax region xmkString start=/\v"/ skip=/\v\\./ end=/\v"/
syntax region xmkString start=/\v'/ skip=/\v\\./ end=/\v'/
highlight link xmkString String

syntax match xmkComment "\v//.*$"
highlight link xmkComment Comment

let b:current_syntax = "xmk"
