if exists("b:current_syntax")
    finish
endif

syntax keyword hellKeyword import func
syntax keyword hellKeyword if then else while for switch case
syntax keyword hellKeyword writeln
syntax keyword hellType int str float void double bool
syntax keyword hellType integer decimal character large_decimal CLion
syntax keyword hellGlobalContainer hell

highlight link hellKeyword Keyword
highlight link hellFunction Function
highlight link hellType Type
highlight link hellGlobalContainer Structure

syntax match hellOperator "\v\="
syntax match hellOperator "\v\*"
syntax match hellOperator "\v/"
syntax match hellOperator "\v\+"
syntax match hellOperator "\v-"
syntax match hellOperator "\v\?"
syntax match hellOperator "\v\*\="
syntax match hellOperator "\v/\="
syntax match hellOperator "\v\+\="
syntax match hellOperator "\v-\="
syntax match hellOperator "\v\!\="

syntax match hellNumber "0"
syntax match hellNumber "1"
syntax match hellNumber "2"
syntax match hellNumber "3"
syntax match hellNumber "4"
syntax match hellNumber "5"
syntax match hellNumber "6"
syntax match hellNumber "7"
syntax match hellNumber "8"
syntax match hellNumber "9"

highlight link hellOperator Operator
highlight link hellNumber Constant

syntax region hellString start=/\v"/ skip=/\v\\./ end=/\v"/
syntax region hellString start=/\v'/ skip=/\v\\./ end=/\v'/
highlight link hellString String

syntax match hellComment "\v//.*$"
highlight link hellComment Comment

let b:current_syntax = "hell"
